Bug 116845 - mozilla locks up, then fails to exit or allow mozilla to be run again
mozilla locks up, then fails to exit or allow mozilla to be run again
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-25 12:58 EST by Tom Wood
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 10:31:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2004-02-25 12:58:01 EST
Description of problem: Running an ESRI ArcIMS server on the same box
and hitting it with Mozilla, the browser will occasionally lock up. 
When the browser is closed, the Mozilla process remains.  This
prevents another browser from starting, after a 30 second timeout.


Version-Release number of selected component (if applicable):
mozilla-1.4-3.0.18


How reproducible: often


Steps to Reproduce:
1. Point a Mozilla browser to an ESRI ArcIMS
jakarta/tomcat/javascript-based application.
2. Click around the site, invoking a fair amount of javascript code.
3. Wait for the browser to stall out/quit working.
4. Exit Mozilla by left-clicking the X at the right top of the browser
window.
5. Attempt to restart Mozilla by clicking the Mozilla icon in the panel.
6. Watch it timeout and not produce a browser window, nor any log
traces that I can find.
7. ps auxww |grep moz finds the process still running.
8. kill the mozilla process
9. Attempt to restart Mozilla by clicking the Mozilla icon in the panel.
10. Watch as the new browser appears.

Actual results: Browser (1) locks up and (2) doesn't die without a kill.


Expected results: No lockups, no failures to clean up after itself.


Additional info:
Part of this web application is to bring up an external hyperlink in a
frameless browser window.  When requesting this console is when the
browser locks.  It's as if the javascript processing is stalled.
Comment 1 Christopher Blizzard 2004-03-05 15:22:27 EST
Is it spinning on the CPU?  Is another app hogging the sound card? 
What plugins do you have installed?  Lots of times, a plugin will
block the browser against the sound card.
Comment 2 Tom Wood 2004-03-06 19:23:04 EST
There is no sound card in the machine.  The app itself doesn't use
sound at all.

The browser is stock RHEL3 Mozilla up2dated.  No additional plugins.

There is some CPU and disk activity as the new Mozilla process
attempts to start but fails, but it's minimal compared to when it
actually works.
Comment 3 Matěj Cepl 2007-02-09 10:31:01 EST
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.

Note You need to log in before you can comment on or make changes to this bug.